org.eclipse.rdf4j.sail.shacl.planNodes

## Class NonUniqueTargetLang

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.planNodes.NonUniqueTargetLang

- All Implemented Interfaces:
    PlanNode

      public class NonUniqueTargetLang
      extends Object
      implements PlanNode

  This PlanNode takes a stream of Tuples like: (ex:companyA, "Company A"@en). It assumes that the stream is sorted on index 0 (eg. ex:CompanyA). It will cache all non-empty languages from index 1 (eg. "en") and outputs any tuples where the language has already been seen. If a Value on index 1 has no language because it is a literal without a language or because it is an IRI or BNode, then its language is considered empty and not cached.
  Author:
    Håvard Ottestad

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonUniqueTargetLang(PlanNode parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `depth()`
    `String` | `getId()`
    `IteratorData` | `getIteratorDataType()`
    `void` | `getPlanAsGraphvizDot(StringBuilder stringBuilder)`
    `CloseableIteration<Tuple,SailException>` | `iterator()`
    `void` | `receiveLogger(ValidationExecutionLogger validationExecutionLogger)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonUniqueTargetLang

          public NonUniqueTargetLang(PlanNode parent)

  - ### Method Detail

    - #### iterator

          public CloseableIteration<Tuple,SailException> iterator()

      Specified by:
        `iterator` in interface `PlanNode`

    - #### depth

          public int depth()

      Specified by:
        `depth` in interface `PlanNode`

    - #### getPlanAsGraphvizDot

          public void getPlanAsGraphvizDot(StringBuilder stringBuilder)

      Specified by:
        `getPlanAsGraphvizDot` in interface `PlanNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `PlanNode`

    - #### getIteratorDataType

          public IteratorData getIteratorDataType()

      Specified by:
        `getIteratorDataType` in interface `PlanNode`

    - #### receiveLogger

          public void receiveLogger(ValidationExecutionLogger validationExecutionLogger)

      Specified by:
        `receiveLogger` in interface `PlanNode`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.